//
// Default
//

html {
  font-size: $font-size-base;
}

// Temporarily scoping all types into markdown
// for first iteration to make it easier
// to integrate into GitLab

.md {
  body & {
    color: $primary-type-color;
    font-size: $body-font-size;
    font-family: $font-family-base;
    line-height: $line-height-base;
  }

  //
  // Headings
  //

  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  .h1,
  .h2,
  .h3,
  .h4,
  .h5,
  .h6 {
    font-weight: $headings-font-weight;
    margin: $headings-margin;
  }

  h1,
  .h1 {
    @include headings-variant($h1-font-size, $h1-line-height);
  }

  h2,
  .h2 {
    @include headings-variant($h2-font-size, $h2-line-height);
  }

  h3,
  .h3 {
    @include headings-variant($h3-font-size, $h3-line-height);
  }

  h4,
  .h4 {
    @include headings-variant($h4-font-size, $h4-line-height);
  }

  h5,
  .h5 {
    @include headings-variant(
      $font-size: $h5-font-size,
      $line-height: $h5-line-height,
      $color: $secondary-type-color
    );
  }

  h6,
  .h6 {
    @include headings-variant(
      $font-size: $h6-font-size,
      $line-height: $h6-line-height,
      $color: $secondary-type-color
    );
  }

  $header-selectors: (
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    ".h1",
    ".h2",
    ".h3",
    ".h4",
    ".h5",
    ".h6"
  );

  #{aggregate-selectors($header-selectors, ":first-child")} {
    margin-top: 0;
  }

  #{aggregate-selectors($header-selectors, ":last-child")} {
    margin-bottom: 0;
  }

  //
  // Paragraphs
  //

  p {
    font-size: $p-font-size;
    line-height: $p-line-height;
    margin: $p-margin;
  }

  //
  // Links
  //

  a {
    color: $link-color; // override-bootstrap-default

    &:hover,
    &:focus {
      color: $link-color; // override-bootstrap-default
    }
  }
}
